# GetReverseSyncRegistration

Retrieve a webhook registration.

`GET /api/v2/connector-sync/companies/{companyId}/registrations/{registrationId}`

**API:** AvaTax API
**Tag:** ItemsReverseSync
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/ItemsReverseSync/GetReverseSyncRegistration/

## Description

Returns the webhook registration identified by the specified registration ID for the given company.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPAdmin, CSPTester, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The ID of the company that owns this registration. |
| `registrationId` | integer | path | Yes | The ID of the registration. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success. Returns the specified webhook registration. | `ItemReverseSyncRegistrationOutputModel` |
| 400 | Bad request. The request is invalid. |  |
| 401 | Unauthorized. Authentication failed or was not provided. |  |
| 404 | Not found. The requested resource was not found. |  |

### 200 Response: `ItemReverseSyncRegistrationOutputModel`

Output model representing a Connector Data Sync (reverse sync) webhook registration.

| Property | Type | Required | Description |
|---|---|---|---|
| `registrationId` | integer | No | The unique identifier for this registration. Example: `1`. |
| `connectorName` | string | No | The connector name. This value is also used as the OAuth scope for the registration. Example: `big-commerce`. |
| `companyId` | integer | No | The Avalara company identifier that owns this registration. Example: `7755785`. |
| `url` | string | No | The webhook callback URL that the connector exposes to receive notifications. Example: `https://someurl/`. |
| `typeName` | string | No | The registration delivery channel (for example, Webhook). Values: `Webhook`. Example: `Webhook`. |
| `isActive` | boolean | No | Indicates whether this registration is currently active. Example: `true`. |
| `events` | string | No | The list of events this registration subscribes to. Values: `HSCodeAssigned`. Example: `HSCodeAssigned`. |
| `modifiedDate` | string | No | The date and time when this record was last modified. Example: `2026-07-02T04:05:13.5847944Z`. |
| `modifiedUserId` | integer | No | The user ID who last modified this record. Example: `1234`. |
| `createdDate` | string | No | The date and time when this record was created. Example: `2026-07-02T04:05:13.5848204Z`. |
| `createdUserId` | integer | No | The user ID who created this record. Example: `1234`. |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/connector-sync/companies/{companyId}/registrations/{registrationId}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```